<?php
session_start();
include 'db_connect.php'; // Assurez-vous que ce fichier contient une connexion valide


function formatDate($date) {
    return date("d/m/Y", strtotime($date));
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $dateDebut = mysqli_real_escape_string($conn, $_POST['dateDebut']);
    $dateFin = mysqli_real_escape_string($conn, $_POST['dateFin']);
    $type = mysqli_real_escape_string($conn, $_POST['type']);

    $table = '';
    switch($type) {
        case 'ventes':
            $table = 'ventes';
            $query = "SELECT * FROM $table WHERE date BETWEEN '$dateDebut' AND '$dateFin'";
            $result = mysqli_query($conn, $query);
            
            while($row = mysqli_fetch_assoc($result)) {
                echo "<tr>";
                echo "<td>".$row['utilisateurs']."</td>";
                echo "<td>".$row['produits']."</td>";
                echo "<td>".$row['prix']." FCFA</td>";
                echo "<td>".$row['quantite']."</td>";
                echo "<td>".formatDate($row['date'])."</td>";
                echo "</tr>";
            }
            break;

        case 'produits':
        case 'commandes':
            $table = $type;
            $query = "SELECT * FROM $table WHERE date BETWEEN '$dateDebut' AND '$dateFin'";
            $result = mysqli_query($conn, $query);
            
            while($row = mysqli_fetch_assoc($result)) {
                echo "<tr>";
                echo "<td>".$row['client']."</td>";
                echo "<td>".$row['produit']."</td>";
                echo "<td>".$row['quantite']." FCFA</td>";
                echo "<td>".$row['prix']."</td>";
                echo "<td>".formatDate($row['date_creation'])."</td>";
                echo "</tr>";
            }
            break;
    }
}

mysqli_close($conn);
?>
