<?php
session_start();
include 'db_connect.php';


// Ajouter ou modifier un employé
if (isset($_POST['save'])) {
    $id = $_POST['id'] ?? null;
    $poste = $_POST['poste'];
    $email = $_POST['email'];
    $username = $_POST['username'];
    $password = password_hash($_POST['password'], PASSWORD_DEFAULT);

    if ($id) { // Modifier
        $sql_update = "UPDATE employes SET poste='$poste', email='$email', username='$username', password='$password' WHERE id=$id";
        $conn->query($sql_update);
    } else { // Ajouter
        $sql_insert = "INSERT INTO employes (poste, email, username, password) VALUES ('$poste', '$email', '$username', '$password')";
        $conn->query($sql_insert);
    }
}

// Supprimer un employé
if (isset($_GET['delete'])) {
    $id = $_GET['delete'];
    $sql_delete = "DELETE FROM employes WHERE id=$id";
    $conn->query($sql_delete);
}

// Récupérer les employés
$sql_select = "SELECT * FROM employes";
$result = $conn->query($sql_select);
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Gestion des Employés</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f9;
            color: #333;
        }
        h2 {
            text-align: center;
            color: #007BFF;
            margin-top: 20px;
        }
        .form-container {
            background: #fff;
            border-radius: 8px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            padding: 20px;
            width: 40%;
            margin: 30px auto;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }
        .form-container label {
            margin-bottom: 10px;
            font-weight: bold;
        }
        .form-container input, .form-container select {
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            margin-bottom: 15px;
            font-size: 14px;
            width: 100%;
        }
        .form-container button {
            background: #28a745;
            color: #fff;
            border: none;
            padding: 10px;
            cursor: pointer;
            border-radius: 5px;
            font-size: 16px;
        }
        .form-container button:hover {
            background: #218838;
        }
        input#search {
            width: 40%;
            padding: 10px;
            margin: 20px auto;
            display: block;
            border-radius: 5px;
            border: 1px solid #ccc;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }
        table {
            width: 90%;
            margin: 20px auto;
            border-collapse: collapse;
            background: #fff;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
            overflow: hidden;
        }
        table, th, td {
            border: 1px solid #ddd;
        }
        th, td {
            padding: 12px;
            text-align: center;
        }
        th {
            background-color: #007BFF;
            color: #fff;
        }
        tr:nth-child(even) {
            background-color: #f9f9f9;
        }
        tr:hover {
            background-color: #f1f1f1;
        }
        a {
            text-decoration: none;
            color: #007BFF;
            font-weight: bold;
        }
        a:hover {
            text-decoration: underline;
            color: #0056b3;
        }
    </style>
    <script>
        function searchEmployees() {
            let input = document.getElementById('search').value.toLowerCase();
            let rows = document.querySelectorAll('table tr');
            rows.forEach((row, index) => {
                if (index === 0) return; // Ignorer l'en-tête
                let text = row.textContent.toLowerCase();
                row.style.display = text.includes(input) ? '' : 'none';
            });
        }
    </script>
</head>
<body>
<h2>Gestion des utilisateurs</h2>
<div class="form-container">
    <form method="POST" action="">
        <input type="hidden" name="id" value="<?php echo $_GET['edit'] ?? ''; ?>">
        <label>Poste:
            <select name="poste" required>
                <option value="">-- Sélectionner un poste --</option>
                <option value="Gestionnaire">Gestionnaire</option>
                <option value="Caissière">Caissière</option>
                <option value="Administrateur">Administrateur</option>
            </select>
        </label>
        <label>Email: <input type="email" name="email" required></label>
        <label>Username: <input type="text" name="username" required></label>
        <label>Password: <input type="password" name="password" required></label>
        <button type="submit" name="save">Enregistrer</button>
    </form>
</div>

<!-- Barre de recherche -->
<input type="text" id="search" onkeyup="searchEmployees()" placeholder="Rechercher...">

<!-- Tableau des employés -->
<table>
    <tr>
        <th>ID</th>
        <th>Poste</th>
        <th>Email</th>
        <th>Username</th>
        <th>Actions</th>
    </tr>
    <?php while ($row = $result->fetch_assoc()) { ?>
        <tr>
            <td><?php echo $row['id']; ?></td>
            <td><?php echo $row['poste']; ?></td>
            <td><?php echo $row['email']; ?></td>
            <td><?php echo $row['username']; ?></td>
            <td>
                <a href="?edit=<?php echo $row['id']; ?>">Modifier</a>
                <a href="?delete=<?php echo $row['id']; ?>" onclick="return confirm('Supprimer cet employé ?');">Supprimer</a>
            </td>
        </tr>
    <?php } ?>
</table>
</body>
</html>

<?php
$conn->close();
?>
