<?php
session_start();
include 'db_connect.php';


if (isset($_POST['connexion'])) {
    $poste = $_SESSION['poste'];

    if ($poste == "administrateur" || $poste == "gestionnaire") {
        $email = $_POST['email'];
        $password = $_POST['password'];

        $sql = "SELECT * FROM employes WHERE poste = ? AND email = ? AND password = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("sss", $poste, $email, $password);
    } elseif ($poste == "caissiere") {
        $username = $_POST['username'];
        $password = $_POST['password'];

        $sql = "SELECT * FROM employes WHERE poste = ? AND username = ? AND password = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("sss", $poste, $username, $password);
    }

    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        echo "<h3>Connexion réussie en tant que $poste</h3>";
    } else {
        echo "<h3>Échec de connexion. Vérifiez vos informations.</h3>";
    }

    $stmt->close();
}

$conn->close();
?>
